# PvCard::ParamValues Class Reference

Comma separated list of param-value's. More...

`#include <vcard.h>`

Inheritance diagram for PvCard::ParamValues:

List of all members.

## Public Member Functions

virtual void | PrintOn (ostream &strm) const
| Print the collection on the stream.
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream.

## Detailed Description

Comma separated list of param-value's.

## Member Function Documentation

virtual void PvCard::ParamValues::PrintOn | ( | ostream & | strm | ) | const`[virtual]`

Print the collection on the stream.

This simply executes the `PObject::PrintOn()` function on each element in the collection.

The default behaviour for collections is to print each element separated by the stream fill character. Note that if the fill character is the default ' ' then no separator is printed at all.

Also if the fill character is not ' ', the the streams width parameter is set before each individual element of the colllection.

Returns:
  the stream printed to.

Reimplemented from PCollection.

Reimplemented in PvCard::TypeValues.

virtual void PvCard::ParamValues::ReadFrom | ( | istream & | strm | ) | `[virtual]`

Input the contents of the object from the stream.

The exact input is dependent on the exact semantics of the descendent class. This is primarily used by the standard `operator>>` function.

The default behaviour is to do nothing.

Reimplemented from PObject.

The documentation for this class was generated from the following file:

- vcard.h